<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <link rel="icon" href="/img/favicon.ico" />
  <title>Logariat terminal</title>

  <!-- JS Libs -->
  <script type="text/javascript" src="/socket.io/socket.io.js"></script>
  <script type="text/javascript" src="/js/xterm.js"></script>
  <script type="text/javascript" src="/js/fit.js"></script>
<script type="text/javascript" src="/js/jquery-3.3.1.slim.min.js"></script>
  <!-- CSS -->
  <link type="text/css" rel="stylesheet" href="/css/xterm.css">
  <!-- <link type="text/css" rel="stylesheet" href="/css/style.css"> -->
  <style>

  html, body{
    overflow: hidden;
    width: 100%;
    height: 100%;
    margin: 0px;
    padding: 0px;
  }

  ::-webkit-scrollbar {
    display: none;
  }

  #terminal {
    background-color:#111;
    height:100%;
    width:100%;;
  }

  </style>
</head>

<body onclick="document.querySelector('.xterm-helper-textarea').focus()">

<div id="terminal"></div>


  <script>

  const socket = io();

  socket.on('fromPty', (data) => { // pty (server) > client
    term.write(data)
  });

  const load = () => {
        document.querySelector('.xterm-helper-textarea').focus();
        //socket.emit('ouvrirWebcam');
      }
 window.onload = load;


  // Xterm
  Terminal.applyAddon(fit);
  const term = new Terminal({
    fontSize: 20,
    cursorBlink: true,
    fontFamily: 'Ubuntu Mono, courier-new, courier, monospace',
    'theme': { background: '#111' }
  });
  term.open(document.getElementById('terminal'));
  term.fit();
   term.write('\x1B[1mmbocc@logarien\x1B[0m $ ');
  //term.write('\e[1m\bmbocc@logarien\e[0m\b $ ');
  term.on('key', (key, ev) => {
    //console.log('xterm > pty', ev)
    socket.emit('fromXterm', key); // xterm > pty (server)
  });
  </script>
</body>
</html>
